All plugins report python error in QGIS 1.9.0 Alpha, rev b16c68e
Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: win Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16140

Description

It seems that in this revision of QGis master (commit:b16c68e) exists a general problem with python code.

Every plugin, i try to start reports python errors.

E.g. ftools, buffer function:

Fehler bei der Ausführung von Python-Code:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doGeoprocessing.py", line 84, in update

    self.attrib.addItem( unicode( changedField[i].name() ) )

TypeError: QgsFields.__getitem__(): argument 1 has unexpected type 'QgsField'

Python-Version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS-Version:

1.9.0-Master Master, b16c68e

Python-Pfad: ['C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\sextante', 'C:/OSGeo4W/apps/qgis-dev/./python',

'C:/Users/Spieles/.qgis//python', 'C:/Users/Spieles/.qgis//python/plugins', 'C:/OSGeo4W/apps/qgis-dev/./python/plugins',

'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\Users\\\\Spieles\\\\.qgis\\\\python\\\\plugins\\\\mmqgis/forms',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools', 'C:/DNRAPPS/pojekte/dateigen_epsg25832/testbeitrag']

Related issues:

Related to QGIS Application - Bug report # 7078: MSSQL Provider not available... Closed 2013-01-30

Duplicated by QGIS Application - Bug report # 7106: Error when running python... Rejected 2013-02-06

Duplicated by QGIS Application - Bug report # 7103: Python error in "spatial ... Closed 2013-02-05

Duplicated by QGIS Application - Bug report # 7105: ftools execute functions ... Closed 2013-02-05

Duplicated by QGIS Application - Bug report # 7130: ftools api error Closed 2013-02-09
History

#1 - 2013-01-27 01:27 PM - Jürgen Fischer

- Subject changed from All pugins report python error in QGIS 1.9.0 Alpha, rev b16c68e to All plugins report python error in QGIS 1.9.0 Alpha, rev 

b16c68e

#2 - 2013-01-28 04:53 AM - Jürgen Fischer

See also http://lists.osgeo.org/pipermail/qgis-developer/2013-January/024124.html

#3 - 2013-01-28 12:00 PM - Gerhard Spieles

Hello Juergen,

is there a mailing-list to inform the plugin-authors, that plugins will need update to support new API?

#4 - 2013-01-28 12:54 PM - Jürgen Fischer

Gerhard Spieles wrote:

is there a mailing-list to inform the plugin-authors, that plugins will need update to support new API?

No, I suppose plugin authors should also follow qgis-developer.

#5 - 2013-07-12 10:51 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

Core plugins should have been fixed by now. Please open specific tickets against individual plugins.
